@echo off
cls
echo    ____________________________________________________________________________
echo.
echo                      Novell NetWare Hub Services 2.10
echo.
echo                         Patch from 2.00b and 2.00c
echo    ____________________________________________________________________________
echo.

if "%1" == "" goto usage
if not exist %1\hsl.nlm goto harddrvbad
if not exist %1\hubcon.nlm goto harddrvbad

if not exist nhs2p1.rtp goto notininst

echo    This patch is designed to upgrade the NetWare Hub Services (NHS)
echo    NetWare Loadable Modules (NLMs) from version 2.00b or 2.00c, to 2.10.
echo.
echo    PLEASE DO NOT ATTEMPT TO APPLY THE PATCH TO NHS VERSIONS OTHER
echo    THAN 2.00b or 2.00c.
echo.
yesno "Do you wish to continue? [y/n]"
if errorlevel 1 goto exit
echo.

:backup
echo    INSTALL will overwrite the following existing NHS NLMs:
echo.
echo                               HSL.NLM
echo                               HUBSNMP.NLM
echo                               HUBCON.NLM
echo.
echo    The above NLMs will be backed up in the subdirectory:
echo        %1\hub.bak
echo.
yesno "Do you wish to continue? [y/n]"
echo.
if errorlevel 1 goto exit

:backyes
echo    Creating %1\hub.bak...
mkdir %1\hub.bak > NUL:
patch /BACKUP:hub.bak  /UNDO /NOSUBDIRSEARCH /NOP /IGNOREMISSING %1 nhs2p1.rtp
if errorlevel 4 goto wrongstamp
goto okexit

:usage
echo    usage: INSTALL "target directory containing NHS 2.00b or 2.00c"
echo.
echo    example: map j:=my_server\sys:
echo             install j:\system
echo.
goto exit

:harddrvbad
echo    NHS NLMs do not exist in: 
echo        %1
echo.
echo    Please invoke INSTALL using the correct directory.
echo.
goto usage

:notininst
echo    INSTALL requires the current directory to contain the relevant patch
echo    files.  Please change the current directory to that directory.
goto exit

:wrongstamp
echo.
echo     The NHS patch has failed on the existing files in:
echo        %1 
echo.	
echo     Please verify that the version of the existing NLMs is 2.00b or 2.00c.
echo.	

:okexit
echo. 
echo     NHS Patch completed.
echo.
:exit

